Name:           pulseview
Version:        0.3.0
Release:        1%{?dist}
Summary:        Signal acquisition and analysis GUI for sigrok
# Combined GPLv3+ (libsigrok and libsigrokdecode) and GPLv2+ (pulseview)
License:        GPLv3+
URL:            http://www.sigrok.org
Source0:        %{url}/download/source/%{name}/%{name}-%{version}.tar.gz
# Downloaded from upstream git
Patch0:         0001-View-Honor-ENABLE_DECODE-compiler-switch.patch
Patch1:         0002-Fix-733-Open-import-files-using-binary-mode.patch
Patch2:         0003-Fix-unit-tests-and-prevent-warnings.patch
Patch3:         0004-Fix-737-by-adding-the-override-specifier-where-neede.patch
Patch4:         0005-Fix-clang-warning-shifting-a-negative-signed-value-i.patch
Patch5:         0006-Fix-745-by-improving-the-draw_annotations-block-draw.patch
Patch6:         0007-DecodeTrace-Try-to-keep-annotation-labels-within-the.patch
Patch7:         0008-DecodeTrace-Let-annotation-labels-be-pushed-aside-by.patch
Patch8:         0009-DecodeTrace-Remove-unnecessary-parameters.patch
Patch9:         0010-MainWindow-Try-to-use-any-available-device-aside-fro.patch
Patch10:        0011-DecoderStack-Make-decoder-sessions-terminate-after-r.patch
Patch11:        0012-Fix-181-by-changing-the-global-decode-lock-into-an-S.patch
BuildRequires:  libsigrok-cxx-devel
BuildRequires:  libsigrokdecode-devel >= 0.4.0
BuildRequires:  qt-devel
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme

%description
PulseView is an application for enabling data acquisition and analysis with
test and measurement devices such as logic analyzers, oscilloscopes,
mixed-signal devices, digital multimeters and sensors, etc. It uses sigrok
libraries under the hood.


%prep
%autosetup -p1

%build
%cmake -DCMAKE_BUILD_TYPE=Release
make %{?_smp_mflags}

%install
%make_install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
    contrib/pulseview.desktop

desktop-file-validate %{buildroot}/%{_datadir}/applications/pulseview.desktop

install -m 644 -D -p icons/sigrok-logo-notext.png \
    %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/sigrok-logo-notext.png

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database > /dev/null 2>&1 || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README
%license COPYING
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/sigrok-logo-notext.png

%changelog
* Sat Feb 13 2016 Till Maas <opensource@till.name> - 0.3.0-1
- Fix compile errors and other problems with upstream patches
- Use %%license

* Sat Feb 06 2016 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.3.0-0
- Update to pulseview 0.3.0
- Bump libsigrokdecode-devel requirement to 0.4.0
- Replace libsigrok-devel dependency with libsigrok-cxx-devel
- Use pulseview.desktop file provided with the pulseview sources
- Call desktop-file-validate on pulseview.desktop file

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 0.2.0-9
- Rebuilt for Boost 1.60

* Thu Nov 12 2015 Kalev Lember <klember@redhat.com> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 0.2.0-7
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.2.0-5
- rebuild for Boost 1.58

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.2.0-3
- Rebuilt for GCC 5 C++11 ABI change

* Mon Jan 26 2015 Petr Machata <pmachata@redhat.com> - 0.2.0-2
- Rebuild for boost 1.57.0

* Sat Sep 20 2014 Dan Horák <dan[at]danny.cz> - 0.2.0-1
- Update to version 0.2.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 0.1.0-5
- Rebuild for boost 1.55.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0.1.0-3
- Rebuild for boost 1.54.0

* Mon May 06 2013 Alexandru Gagniuc mr.nuke.me[at]gmail[dot]com - 0.1.0-2
- Use {name} macro  instead of 'pulseview'
- Stop abusing wildcards in files section

* Wed Oct 10 2012 Alexandru Gagniuc mr.nuke.me[at]gmail[dot]com - 0.1.0-1
- Initial RPM release
